Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class BindingViewer

    java.lang.Object
      ix.ip2.BindingViewer

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public abstract class BindingViewer

extends java.lang.Object
implements java.awt.event.ActionListener

Field Summary
`protected java.awt.Container` | `contentPane`
`protected javax.swing.JFrame` | `frame`
`protected Ip2` | `ip2`
`protected java.util.Map` | `possibleValues`
`protected ix.ip2.BindingViewer.VarPanel` | `varPanel`
`protected java.util.Set` | `vars`

Constructor Summary
`BindingViewer(Ip2 ip2, java.util.Set vars)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected void` | `bindCommand()`
`protected void` | `closeCommand()`
`protected java.util.Map` | `getPossibleValues(java.util.Set vars)`
`java.util.Set` | `getVars()`
`abstract void` | `handleBindings(java.util.Map newBindings)`
`protected ix.ip2.BindingViewer.ButtonPanel` | `makeButtonPanel()`
`protected void` | `reloadView(java.util.Set vars)`
`protected void` | `resetPossibleValues()`
`protected void` | `resetPossibleValues(java.util.Map possibles)`
`protected void` | `setUpFrame()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ip2

    protected Ip2 ip2

### vars

    protected java.util.Set vars

### possibleValues

    protected java.util.Map possibleValues

### frame

    protected javax.swing.JFrame frame

### contentPane

    protected java.awt.Container contentPane

### varPanel

    protected ix.ip2.BindingViewer.VarPanel varPanel

Constructor Detail

### BindingViewer

    public BindingViewer(Ip2 ip2,
                         java.util.Set vars)

Method Detail

### getVars

    public java.util.Set getVars()

### setUpFrame

    protected void setUpFrame()

### makeButtonPanel

    protected ix.ip2.BindingViewer.ButtonPanel makeButtonPanel()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### bindCommand

    protected void bindCommand()

### closeCommand

    protected void closeCommand()

### handleBindings

    public abstract void handleBindings(java.util.Map newBindings)

### getPossibleValues

    protected java.util.Map getPossibleValues(java.util.Set vars)

### resetPossibleValues

    protected void resetPossibleValues()

### resetPossibleValues

    protected void resetPossibleValues(java.util.Map possibles)

### reloadView

    protected void reloadView(java.util.Set vars)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD